Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.smime
Class SMIMECapability

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.smime.SMIMECapability

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class SMIMECapability
extends ASN1Object

Field Summary
`static ASN1ObjectIdentifier` | `aES128_CBC`
`static ASN1ObjectIdentifier` | `aES192_CBC`
`static ASN1ObjectIdentifier` | `aES256_CBC`
`static ASN1ObjectIdentifier` | `canNotDecryptAny`
`static ASN1ObjectIdentifier` | `dES_CBC` encryption algorithms preferences
`static ASN1ObjectIdentifier` | `dES_EDE3_CBC`
`static ASN1ObjectIdentifier` | `preferSignedData` general preferences
`static ASN1ObjectIdentifier` | `rC2_CBC`
`static ASN1ObjectIdentifier` | `sMIMECapabilitiesVersions`

Constructor Summary
`SMIMECapability(ASN1ObjectIdentifier capabilityID, ASN1Encodable parameters)`
`SMIMECapability(ASN1Sequence seq)`

Method Summary
`ASN1ObjectIdentifier` | `getCapabilityID()`
`static SMIMECapability` | `getInstance(java.lang.Object obj)`
`ASN1Encodable` | `getParameters()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### preferSignedData

    public static final ASN1ObjectIdentifier preferSignedData

  general preferences

### canNotDecryptAny

    public static final ASN1ObjectIdentifier canNotDecryptAny

### sMIMECapabilitiesVersions

    public static final ASN1ObjectIdentifier sMIMECapabilitiesVersions

### dES_CBC

    public static final ASN1ObjectIdentifier dES_CBC

  encryption algorithms preferences

### dES_EDE3_CBC

    public static final ASN1ObjectIdentifier dES_EDE3_CBC

### rC2_CBC

    public static final ASN1ObjectIdentifier rC2_CBC

### aES128_CBC

    public static final ASN1ObjectIdentifier aES128_CBC

### aES192_CBC

    public static final ASN1ObjectIdentifier aES192_CBC

### aES256_CBC

    public static final ASN1ObjectIdentifier aES256_CBC

Constructor Detail

### SMIMECapability

    public SMIMECapability(ASN1Sequence seq)

### SMIMECapability

    public SMIMECapability(ASN1ObjectIdentifier capabilityID,
                           ASN1Encodable parameters)

Method Detail

### getInstance

    public static SMIMECapability getInstance(java.lang.Object obj)

### getCapabilityID

    public ASN1ObjectIdentifier getCapabilityID()

### getParameters

    public ASN1Encodable getParameters()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. SMIMECapability ::= SEQUENCE { capabilityID OBJECT IDENTIFIER, parameters ANY DEFINED BY capabilityID OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD